//**********************
// Wait Function without accuracy
// 
// Condition: define FCY
// Check Stopwatch
//
// (C)Copyright 2009 All rights reserved by Y.Onodera
// http://einstlab.web.fc2.com
//**********************
#if defined(__dsPIC30F__)
#include <p30fxxxx.h>
#elif defined(__dsPIC33F__)
#include <p33Fxxxx.h>
#elif defined(__PIC24H__)
#include <p24Hxxxx.h>
#elif defined(__PIC24F__)
#include <p24Fxxxx.h>
#endif

//**********************
// When 7.37MHz Internal RC oscillator, 16x PLL enabled
// Fcy=7.37MHzx16/4
//**********************
#if defined(__dsPIC30F__)
#define	FOSC	7372800UL
#define	PLL	16
#define	FCY	FOSC*PLL/4
#else
#define	FOSC	8000000UL
#define	PLL	1
#define	FCY	FOSC*PLL/2
#endif

#include <libpic30.h>


void WaitNus(unsigned int n)
{

	__delay32(FCY/1000000*n);

}


void WaitNms(unsigned int n)
{

	__delay32(FCY/1000*n);

}


void WaitNs(unsigned int n)
{

	unsigned int i;
	for(i=0;i<n;i++)
		__delay32(FCY);

}
